#ifndef __KK_WHITELIST_MNG_H__
#define __KK_WHITELIST_MNG_H__
#include "kk_tsl_common.h"

typedef struct {
    char device_mac[DEVICE_MAC_MAXLEN];
	char product_id[PRODUCT_TYPE_MAXLEN];
	char device_sn[DEVICE_SN_MAXLEN];
	char device_id[DEVICE_CODE_MAXLEN];
	int index;
} kk_wlist_dev_t;
int kk_wlist_init(void);
int kk_wlist_status_open(int isOpen);
int kk_add_wlist(kk_wlist_dev_t *wlist_dev);
int kk_get_wlist_num(void);
int kk_delete_wlist_byMac(const char* device_mac);
#endif